Last modified: 2012-12-16 07:12:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35987 - Ambiguous "Password:" header on Special:ChangeEmail
Ambiguous "Password:" header on Special:ChangeEmail
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
1.19
All All
: Low enhancement (vote)
: 1.21.0 release
Assigned To: Alexandre Emsenhuber [IAlex]
: i18n, patch
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-04-15 07:16 UTC by Jani Uusitalo
Modified: 2012-12-16 07:12 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
[[Special:ChangeEmail]] currently (21.20 KB, image/png)
2012-04-15 07:16 UTC, Jani Uusitalo
Details
Patch to change the ambiguous label (1.21 KB, patch)
2012-04-27 04:16 UTC, Pranav Ravichandran
Details

Description Jani Uusitalo 2012-04-15 07:16:42 UTC
Created attachment 10422 [details]
[[Special:ChangeEmail]] currently

[[Special:ChangeEmail]] currently says: "Complete this form to change your e-mail address. You will need to enter your password to confirm this change." The password field is located right after the "New e-mail address" field and simply titled "Password:".

The preface and this layout makes it unnecessarily easy to think it wants your ''password for your e-mail account'' and not the current wiki. (I for one momentarily thought so despite being experienced enough to know it probably didn't mean to.)

I suggest the "Password:" header be changed slightly, to say "Your {{SITENAME}} password:"
Comment 1 Pranav Ravichandran 2012-04-27 04:16:06 UTC
Created attachment 10479 [details]
Patch to change the ambiguous label
Comment 2 Sumana Harihareswara 2012-04-27 05:55:03 UTC
added keywords
Comment 3 Thehelpfulone 2012-04-30 22:51:21 UTC
Marking as new, seems good.
Comment 4 Sumana Harihareswara 2012-05-25 03:00:04 UTC
Pranav and Jani: Thanks for the patch.  Are you interested in using developer access to directly suggest it into our Git source control system?

https://www.mediawiki.org/wiki/Developer_access

https://www.mediawiki.org/wiki/Git/Workflow#How_to_submit_a_patch
Comment 5 Jani Uusitalo 2012-05-30 15:34:24 UTC
Sumana: Thanks. I'm fairly new here and to Git in general, so I'd rather not, but it's fine by me if Pranav wants to.
Comment 6 Sumana Harihareswara 2012-07-20 19:34:07 UTC
Pranav: ping re moving this into Git.
Comment 7 Sam Reed (reedy) 2012-07-20 19:35:39 UTC
New message needs adding to maintenance/languages/messages.inc
Comment 8 matanya 2012-08-05 13:12:12 UTC
Pushed to gerrit as:

https://gerrit.wikimedia.org/r/17690
Comment 9 Alexandre Emsenhuber [IAlex] 2012-12-16 07:12:58 UTC
Change merged.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links